# Maintainer: gspu <bssbk2455[at]gmail[dot]com>
# Contributor: Previous maintainer ValHue <vhuelamo at gmail dot com>

pkgname=thunar-megasync
pkgver=4.5.3.0
pkgrel=2
pkgdesc="Upload your files to your Mega account from Thunar."
arch=('i686' 'x86_64')
url="https://mega.nz/sync"
license=('MEGA LIMITED CODE REVIEW LICENCE')
makedepends=('git' 'qt5-tools' 'thunar' 'imagemagick')
conflicts=("${pkgname}-git")
provides=("${pkgname}")
_extname="_Win"
source=("git+https://github.com/meganz/MEGAsync.git#tag=v${pkgver}${_extname}"
        "https://metainfo.manjariando.com.br/megasync/com.${pkgname}.metainfo.xml"
        "https://metainfo.manjariando.com.br/filemanager.png")
sha256sums=('SKIP'
            '1464fc23df4146ed2e9c42ceeebfc2908a54b97cd5e55703988bbf657305bc28'
            '3b19be9e841750dd69bc8bedb141dc74a9cac7ec6a885223cc5d1bf26af6d925')

_megasync_desktop="[Desktop Entry]
Version=1.0
Terminal=false
Type=Application
Name=
Exec=
Categories=Utility;
NoDisplay=true"

build() {
    cd "${srcdir}"
    echo -e "$_megasync_desktop" | tee com.${pkgname/-/_}.desktop

    cd "MEGAsync/src/MEGAShellExtThunar"
    qmake-qt5 MEGAShellExtThunar.pro
    make
}

package() {
    depends=("megasync>=${pkgver%.*}" 'thunar')

    cd "MEGAsync/src/MEGAShellExtThunar"
    install -dm 755 ${pkgdir}/usr/lib/thunarx-3/
    install -Dm644 libMEGAShellExtThunar.so.1.0.0 ${pkgdir}/usr/lib/thunarx-3/
    
    cd "${pkgdir}/usr/lib/thunarx-3"
    ln -f -s libMEGAShellExtThunar.so.1.0.0 libMEGAShellExtThunar.so.1.0
    ln -f -s libMEGAShellExtThunar.so.1.0.0 libMEGAShellExtThunar.so.1
    ln -f -s libMEGAShellExtThunar.so.1.0.0 libMEGAShellExtThunar.so
        
    # Appstream
    install -Dm644 "${srcdir}/com.${pkgname/-/_}.desktop" "${pkgdir}/usr/share/applications/com.${pkgname/-/_}.desktop"
    install -Dm644 "${srcdir}/com.${pkgname}.metainfo.xml" "${pkgdir}/usr/share/metainfo/com.${pkgname}.metainfo.xml"

    for size in 22 24 32 48 64 128; do
        mkdir -p "${pkgdir}/usr/share/icons/hicolor/${size}x${size}/apps"
        convert "${srcdir}/filemanager.png" -resize "${size}x${size}" \
            "${pkgdir}/usr/share/icons/hicolor/${size}x${size}/apps/${pkgname}.png"
    done
}
